Delete IntegrationConfig - m3ter Documentation
Delete IntegrationConfig
cURL
curl --request DELETE \
--url https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
- 200: Returns the IntegrationConfig
- 4XX: Client error
- 5XX: Server error
{
"id": "<string>",
"entityType": "Bill",
"destination": "Stripe",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"entityId": "00000000-0000-0000-0000-000000000000",
"destinationId": "00000000-0000-0000-0000-000000000000",
"configData": {},
"authorized": true,
"enabled": true,
"integrationCredentialsId": "00000000-0000-0000-0000-000000000000",
"name": "My Integration"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
- Authorization: string, header, required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
orgId: string, required
The unique identifier (UUID) of your Organization.id: string, required
The UUID of the IntegrationConfig to be deleted.
Response
- Returns the IntegrationConfig
- Response containing a IntegrationConfigResponse entity.